package com.ruoyi.bst.withdraw.service;

import java.math.BigDecimal;
import java.util.List;

import com.ruoyi.bst.withdraw.domain.WithdrawQuery;
import com.ruoyi.bst.withdraw.domain.vo.WithdrawDailyStatVO;
import com.ruoyi.bst.withdraw.domain.vo.WithdrawStatVO;

public interface WithdrawDashboard {
    
    /**
     * 查询提现统计
     * @param query
     * @return
     */
    WithdrawStatVO selectStat(WithdrawQuery query, List<String> keys);

    /**
     * 查询提现成功金额
     * @param query
     * @return
     */
    BigDecimal selectSuccessAmount(WithdrawQuery query);

    /**
     * 查询待审核的提现数量
     * @param query
     * @return
     */
    Integer selectWaitVerifyCount(WithdrawQuery query);

    /**
     * 查询每日提现统计
     * @param query
     * @return
     */
    List<WithdrawDailyStatVO> selectDailyStat(WithdrawQuery query, List<String> keys);

    /**
     * 查询提现手续费
     * @param query
     * @return
     */
    BigDecimal selectSuccessServiceCharge(WithdrawQuery query); 
}
